"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maleModifier = exports.femaleModifier = exports.fitzpatrickScaleModifiers = exports.emojifyDefaults = exports.homophones = exports.symbols = exports.bigLetters = exports.numbers = void 0;
const emojis_1 = require("./emojis");
exports.numbers = {
    a: "4",
    b: "8",
    e: "3",
    i: "1",
    l: "1",
    o: "0",
    p: "9",
    s: "5",
};
exports.bigLetters = {
    a: "/-\\",
    b: "|3",
    d: "|)",
    g: "C-",
    h: "/-/",
    i: "][",
    j: "_]",
    k: "|<",
    l: "|_",
    m: "/\\/\\",
    n: "/\\/",
    o: "()",
    p: "|*",
    q: "(_,)",
    t: "-|-",
    u: "|_|",
    v: "\\/",
    w: "\\\\//\\//",
    x: "><",
    y: "\\|/",
};
exports.symbols = {
    a: "ⓐ",
    b: "β",
    c: "©",
    i: "!",
    j: ";",
    l: "￡",
    p: "?",
    r: "Ⓡ",
    s: "$",
    t: "+",
    u: "μ",
    z: "%",
};
exports.homophones = {
    a: "aye",
    f: "ph",
    g: "gee",
    i: "eye",
    o: "oh",
    s: "ehs",
    x: "ecks",
    z: "s",
};
exports.emojifyDefaults = [
    emojis_1.emojis.smiling_imp,
    emojis_1.emojis.joy,
    emojis_1.emojis.sweat_drops,
    emojis_1.emojis["100"],
    emojis_1.emojis.fire,
    emojis_1.emojis.football,
    emojis_1.emojis.alarm_clock,
    emojis_1.emojis.sunglasses,
    emojis_1.emojis.triumph,
    emojis_1.emojis.muscle,
    emojis_1.emojis.walking_man,
    emojis_1.emojis.walking_woman,
    emojis_1.emojis.running_man,
    emojis_1.emojis.running_woman,
    emojis_1.emojis.pray,
    emojis_1.emojis.pensive,
    emojis_1.emojis.thinking,
    emojis_1.emojis.point_up_2,
    emojis_1.emojis.ok_hand,
    emojis_1.emojis.eyes,
    emojis_1.emojis.stuck_out_tongue_closed_eyes,
    emojis_1.emojis.weight_lifting_man,
    emojis_1.emojis.weight_lifting_woman,
    emojis_1.emojis.skier,
    emojis_1.emojis.snowboarder,
    emojis_1.emojis.biking_woman,
    emojis_1.emojis.biking_man,
    emojis_1.emojis.basketball,
    emojis_1.emojis.boxing_glove,
    emojis_1.emojis.moneybag,
    emojis_1.emojis.money_mouth_face,
];
/** fitzpatrick modifiers for emoji skin tone */
exports.fitzpatrickScaleModifiers = ["default", "🏻", "🏼", "🏽", "🏾", "🏿"];
/** female unicode modifier */
exports.femaleModifier = `\u{200D}\u{2640}\u{FE0F}`;
/** male unicode modifier */
exports.maleModifier = `\u{200D}\u{2642}\u{FE0F}`;
